# Create a CDN token. POST https://app.unleash-instance.example.com/api/admin/cdn/tokens Content-Type: application/json **Enterprise feature** Creates a new CDN token for the specified Edge instance. Reference: https://docs.getunleash.io/api/create-cdn-token ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Create a CDN token. version: endpoint_unstable.createCDNToken paths: /api/admin/cdn/tokens: post: operationId: create-cdn-token summary: Create a CDN token. description: |- **Enterprise feature** Creates a new CDN token for the specified Edge instance. tags: - - subpackage_unstable parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '202': description: This response has no body. content: application/json: schema: $ref: '#/components/schemas/Unstable_createCDNToken_Response_202' requestBody: description: '#/components/schemas/cdnApiTokenSchema' content: application/json: schema: $ref: '#/components/schemas/cdnApiTokenSchema' components: schemas: cdnApiTokenSchema: type: object properties: tokenName: type: string description: The name of the token. project: type: string description: >- The project that the token should be valid for. Defaults to "*" meaning every project. environment: type: string description: The environment that the token should be valid for. expiresAt: type: - string - 'null' format: date-time description: The time when this token should expire. required: - tokenName - environment Unstable_createCDNToken_Response_202: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/cdn/tokens" payload = { "tokenName": "token-64522", "environment": "development" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/cdn/tokens'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"tokenName":"token-64522","environment":"development"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/cdn/tokens" payload := strings.NewReader("{\n \"tokenName\": \"token-64522\",\n \"environment\": \"development\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/cdn/tokens") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"tokenName\": \"token-64522\",\n \"environment\": \"development\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/cdn/tokens") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"tokenName\": \"token-64522\",\n \"environment\": \"development\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/cdn/tokens', [ 'body' => '{ "tokenName": "token-64522", "environment": "development" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/cdn/tokens"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"tokenName\": \"token-64522\",\n \"environment\": \"development\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = [ "tokenName": "token-64522", "environment": "development" ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/cdn/tokens")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```